> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cortex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List entities

> List all entities across the Service, Resource and Domain Catalogs.

This API returns summary data for each entity, so refer to the retrieve entity method to lookup more details for a single entity.



## OpenAPI

````yaml /openapi/cortex_swagger.json get /api/v1/catalog
openapi: 3.0.1
info:
  description: >-
    The Cortex REST API provides programmatic access to the data in the catalog,
    Scorecards, and more.
  title: Cortex API
  version: v1
servers:
  - url: https://api.getcortexapp.com
    description: Cortex Cloud API host
security:
  - bearerAuth: []
tags:
  - name: API Keys
  - name: Audit Logs
  - name: Catalog Entities
  - name: Catalogs
  - name: Custom Data
  - name: Custom Data [Advanced]
  - name: Custom Events
  - name: Custom Metrics
  - name: Dependencies
  - name: Deploys
  - name: Discovery Audit
  - name: Docs
  - name: 'Eng Intel: 1-Registry'
  - name: 'Eng Intel: 2-Metrics'
  - name: 'Eng Intel: 3-Trace'
  - name: 'Eng Intel: User Labels'
  - name: Entity Relationship Types
  - name: Entity Relationships
  - name: Entity Types
  - name: GitOps Logs
  - name: Groups
  - name: IP Allowlist
  - name: Initiatives
  - name: My Workspace
  - name: Notification Logs
  - name: On-call
  - name: Packages
  - name: Plugins
  - name: Queries
  - name: SCIM
  - name: Scaffolder
  - name: Scorecards
  - name: Secrets
  - name: Team Roles
  - name: Teams
  - name: Teams Hierarchies
  - name: Teams [Advanced]
  - name: Teams [Departments] (legacy)
  - name: Users
  - name: Verifications
  - name: Workflows
  - name: '[Integrations] AWS'
  - name: '[Integrations] Anthropic'
  - name: '[Integrations] Apiiro'
  - name: '[Integrations] ArgoCD'
  - name: '[Integrations] Azure Active Directory'
  - name: '[Integrations] Azure Devops'
  - name: '[Integrations] Azure Resources'
  - name: '[Integrations] BambooHR'
  - name: '[Integrations] Bitbucket'
  - name: '[Integrations] Bugsnag'
  - name: '[Integrations] Buildkite'
  - name: '[Integrations] Checkmarx SAST'
  - name: '[Integrations] CircleCI'
  - name: '[Integrations] ClickUp'
  - name: '[Integrations] Codecov'
  - name: '[Integrations] Coralogix'
  - name: '[Integrations] Datadog'
  - name: '[Integrations] Dynatrace'
  - name: '[Integrations] Firehydrant'
  - name: '[Integrations] GitHub'
  - name: '[Integrations] GitLab'
  - name: '[Integrations] Harness'
  - name: '[Integrations] Incident.io'
  - name: '[Integrations] Instana'
  - name: '[Integrations] Jenkins'
  - name: '[Integrations] Jira'
  - name: '[Integrations] Kubernetes'
  - name: '[Integrations] LaunchDarkly'
  - name: '[Integrations] Lightstep'
  - name: '[Integrations] Mend SAST'
  - name: '[Integrations] Mend SCA'
  - name: '[Integrations] New Relic'
  - name: '[Integrations] Okta'
  - name: '[Integrations] Opsgenie'
  - name: '[Integrations] PagerDuty'
  - name: '[Integrations] Prometheus'
  - name: '[Integrations] Rollbar'
  - name: '[Integrations] Rootly'
  - name: '[Integrations] Semgrep'
  - name: '[Integrations] Sentry'
  - name: '[Integrations] ServiceNow'
  - name: '[Integrations] SignalFx'
  - name: '[Integrations] Snyk'
  - name: '[Integrations] SonarQube'
  - name: '[Integrations] SumoLogic'
  - name: '[Integrations] Veracode'
  - name: '[Integrations] VictorOps'
  - name: '[Integrations] Wiz'
  - name: '[Integrations] Workday'
  - name: '[Integrations] xMatters'
  - name: dev-login-controller
  - name: public-scim-schema-controller
paths:
  /api/v1/catalog:
    get:
      tags:
        - Catalog Entities
      summary: List entities
      description: >-
        List all entities across the Service, Resource and Domain Catalogs.


        This API returns summary data for each entity, so refer to the retrieve
        entity method to lookup more details for a single entity.
      operationId: listAllEntities
      parameters:
        - description: >-
            Filter based on groups, which correspond to the `x-cortex-groups`
            field in the Catalog Descriptor. Accepts a comma-delimited list of
            groups
          in: query
          name: groups
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
        - description: >-
            Filter based on owner group names. Returns entities owned by the
            specified groups, as well as entities owned by any child/sub-teams
            of those groups. Group names correspond to the `x-cortex-owners`
            field in the Catalog Descriptor. Accepts a comma-delimited list of
            owner group names.
          in: query
          name: owners
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
        - description: >-
            Depth of the parent / children hierarchy nodes to include for each
            entity. Defaults to 0, which returns no hierarchy data. Pass 'full'
            to return the entire hierarchy, or a positive integer to limit the
            depth.
          in: query
          name: hierarchyDepth
          required: false
          schema:
            type: string
            default: '0'
        - description: >-
            Filter by git repositories. Supports GitHub (`github:org/repo` or
            `org/repo`), GitLab (`gitlab:namespace/project`), Bitbucket
            (`bitbucket:workspace/repo`), and Azure DevOps
            (`azure-devops:project/repo`). Unprefixed values default to GitHub
            for backward compatibility.
          example: cortexapps%2Fbackend,gitlab:my-group%2Fmy-project
          in: query
          name: gitRepositories
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
        - description: >-
            List of sub fields to include for hierarchies. Only supports
            'groups'
          example: groups
          in: query
          name: includeHierarchyFields
          required: false
          schema:
            type: array
            items:
              type: string
        - description: >-
            Filter the response to specific types of entities. By default, this
            includes services, resources, and domains. Corresponds to the
            `x-cortex-type` field in the entity descriptor.
          example: service,rds,s3,domain
          in: query
          name: types
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
        - description: >-
            Filter based on a [search
            query](https://docs.cortex.io/settings/search). This will search
            across entity properties. If provided, results will be sorted by
            relevance.
          in: query
          name: query
          required: false
          schema:
            type: string
            default: ''
        - description: Whether to include archived entities in the response
          in: query
          name: includeArchived
          required: false
          schema:
            type: boolean
            default: false
        - description: Whether to include custom data for each entity in the response
          in: query
          name: includeMetadata
          required: false
          schema:
            type: boolean
            default: false
        - description: Whether to include links for each entity in the response
          in: query
          name: includeLinks
          required: false
          schema:
            type: boolean
            default: false
        - description: Whether to include Slack channels for each entity in the response
          in: query
          name: includeSlackChannels
          required: false
          schema:
            type: boolean
        - description: >-
            Whether to include ownership information for each entity in the
            response
          in: query
          name: includeOwners
          required: false
          schema:
            type: boolean
            default: false
        - description: List of sub fields to include for different types
          example: team:members
          in: query
          name: includeNestedFields
          required: false
          schema:
            type: array
            items:
              type: string
        - description: >-
            Number of results to return per page, between 1 and 1000. Default
            250.
          in: query
          name: pageSize
          required: true
          schema:
            type: integer
            format: int32
            default: 250
        - description: Page number to return, 0-indexed. Default 0.
          in: query
          name: page
          required: true
          schema:
            type: integer
            format: int32
            default: 0
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCatalogEntities'
          description: Successfully found entities
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Invalid filters
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    ListCatalogEntities:
      required:
        - entities
        - page
        - total
        - totalPages
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/EntityDetailsSummary'
        page:
          type: integer
          description: Current page number, 0-indexed
          format: int32
        total:
          type: integer
          description: Total number of results
          format: int32
        totalPages:
          type: integer
          description: Total number of pages
          format: int32
      description: >-
        List of all catalog entities, including services, resources, and
        domains. Use the \"type\" field to determine what type each entity is.
    ErrorResponse:
      required:
        - message
        - type
      type: object
      properties:
        details:
          type: string
        errorCode:
          type: string
        gatewayHttpStatus:
          type: integer
          format: int32
        httpStatus:
          type: integer
          format: int32
        message:
          type: string
        requestId:
          type: string
        type:
          type: string
          enum:
            - INTEGRATION_MISSING
            - INTEGRATION_UNREGISTERED
            - INTEGRATION_UNSUPPORTED
            - INTEGRATION_GRAPHQL_ERROR
            - INTEGRATION_BAD_REQUEST
            - INTEGRATION_UNAUTHORIZED
            - INTEGRATION_FORBIDDEN
            - INTEGRATION_NOT_FOUND
            - INTEGRATION_UNPROCESSABLE_CONTENT
            - INTEGRATION_RATE_LIMITED
            - INTEGRATION_INTERNAL_ERROR
            - INTEGRATION_NOT_IMPLEMENTED
            - INTEGRATION_BAD_GATEWAY
            - INTEGRATION_UNAVAILABLE
            - INTEGRATION_GATEWAY_TIMEOUT
            - INTEGRATION_TIMED_OUT
            - INTEGRATION_CACHE_ERROR
            - INTEGRATION_UNHANDLED_HTTP_ERROR
            - INTEGRATION_UNHANDLED_EXCEPTION
            - INTEGRATION_UNEXPECTED_ERROR
            - ILLEGAL_ARGUMENT_ERROR
            - BAD_REQUEST
            - FORBIDDEN
            - NOT_FOUND
            - REQUEST_TIMEOUT
            - CONFLICT
            - UNHANDLED_EXCEPTION
            - UNCATEGORIZED
            - SERVICE_CREATOR
            - UNKNOWN_HOST
            - TOO_MANY_REQUESTS
    EntityDetailsSummary:
      required:
        - groups
        - hierarchy
        - id
        - isArchived
        - lastUpdated
        - links
        - name
        - slackChannels
        - tag
        - type
      type: object
      properties:
        description:
          type: string
          description: >-
            Description of the entity visible in the Service, Resource, or
            Domain Catalog. This may contain markdown.
        git:
          $ref: '#/components/schemas/GitDetails'
        groups:
          type: array
          description: Corresponds to the x-cortex-groups field in the Catalog Descriptor
          items:
            type: string
            description: Corresponds to the x-cortex-groups field in the Catalog Descriptor
        hierarchy:
          $ref: '#/components/schemas/EntityHierarchyDetails'
        id:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier for the
            entity.
          example: en2da8159dbeefb974
        isArchived:
          type: boolean
        lastUpdated:
          type: string
          description: Last updated ISO timestamp
          format: date-time
        links:
          type: array
          description: >-
            Relevant links for the entity. Corresponds to the x-cortex-links
            field in the entity descriptor
          items:
            $ref: '#/components/schemas/Link'
        members:
          type: array
          items:
            $ref: '#/components/schemas/TeamMember'
        metadata:
          type: array
          description: Custom data key/values associated with the entity.
          items:
            $ref: '#/components/schemas/Metadata'
        name:
          type: string
          description: Human-readable name for the entity
          example: My Favorite Entity
        owners:
          $ref: '#/components/schemas/OwnersDetails'
        slackChannels:
          type: array
          items:
            $ref: '#/components/schemas/SlackChannelDetails'
        tag:
          type: string
          description: >-
            Unique identifier for the entity. Corresponds to the x-cortex-tag
            field in the entity descriptor.
          example: my-favorite-entity
        type:
          type: string
          description: >-
            Type of the entity. Corresponds to the x-cortex-type field in the
            entity descriptor or 'service' for services.
          example: service
    TooManyRequestsProblemDetail:
      required:
        - type
        - title
        - status
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
        retryAfter:
          minimum: 0
          type: integer
          description: The number of seconds until the rate limiting resets.
          format: int32
        status:
          maximum: 599
          minimum: 100
          type: integer
          format: int32
          enum:
            - 429
        title:
          type: string
        type:
          type: string
          format: uri-reference
    GitDetails:
      required:
        - provider
        - repository
        - repositoryUrl
      type: object
      properties:
        alias:
          type: string
          description: >-
            Custom defined alias (this is only relevant if you have opted into
            multi account support)
        basepath:
          type: string
          description: >-
            If the entity is in a monorepo (e.g. in a subdirectory), this field
            defines the subdirectory
        provider:
          type: string
          description: Name of the Git provider
          example: github
        repository:
          type: string
          description: Repository name as defined in your Git provider
        repositoryUrl:
          type: string
          description: URL of the Git repository
      description: Metadata about the entity's git repository
    EntityHierarchyDetails:
      required:
        - children
        - parents
      type: object
      properties:
        children:
          uniqueItems: true
          type: array
          description: Nested children chain for the specific entity.
          items:
            $ref: '#/components/schemas/HierarchyChildNode'
        parents:
          uniqueItems: true
          type: array
          description: Nested parent chain for the specific entity.
          items:
            $ref: '#/components/schemas/HierarchyParentNode'
      description: >-
        Hierarchy details for the entity. Includes both the parent & the
        children chains.
    Link:
      required:
        - name
        - type
        - url
      type: object
      properties:
        description:
          type: string
          description: An optional description of the link
        name:
          type: string
          description: Human-readable name for the link visible in the Catalog
        type:
          type: string
          description: >-
            Corresponds to the type field in a link definition provided in the
            Catalog Descriptor
        url:
          type: string
      description: >-
        Relevant links for the entity. Corresponds to the x-cortex-links field
        in the entity descriptor
    TeamMember:
      required:
        - roles
        - sources
      type: object
      properties:
        description:
          type: string
          description: Description of the team member
          example: Product manager
        email:
          type: string
          description: Email of the team member
          example: aditya.bansal@cortex.io
        name:
          type: string
          description: Name of the team member
          example: Aditya Bansal
        roles:
          type: array
          items:
            $ref: '#/components/schemas/Role'
        sources:
          type: array
          items:
            $ref: '#/components/schemas/TeamMemberSource'
      description: Team member information
    Metadata:
      required:
        - key
        - value
      type: object
      properties:
        key:
          type: string
          description: The custom data key, referred to in CQL as custom("key")
        value:
          $ref: '#/components/schemas/JsonNode'
      description: Custom data key/values associated with the entity.
    OwnersDetails:
      required:
        - individuals
        - teams
      type: object
      properties:
        individuals:
          type: array
          items:
            $ref: '#/components/schemas/IndividualOwnerDetails'
        teams:
          type: array
          items:
            $ref: '#/components/schemas/TeamDetails'
      description: Entity owners information
    SlackChannelDetails:
      required:
        - name
        - notificationsEnabled
      type: object
      properties:
        description:
          type: string
          description: Description of the Slack channel
          example: This is the engineering channel
        name:
          type: string
          description: Name of the Slack channel
          example: engineering
        notificationsEnabled:
          type: boolean
          description: Whether notifications are enabled for this channel
      description: Slack channel information
    HierarchyChildNode:
      required:
        - children
        - id
        - name
        - tag
        - type
      type: object
      properties:
        children:
          $ref: '#/components/schemas/HierarchyChildNode'
        definition:
          $ref: '#/components/schemas/JsonNode'
        description:
          type: string
        groups:
          type: array
          description: >-
            List of groups for this node. Only included if
            includeHierarchyFields contains groups
          items:
            type: string
            description: >-
              List of groups for this node. Only included if
              includeHierarchyFields contains groups
        id:
          type: string
        name:
          type: string
        tag:
          type: string
        type:
          type: string
      description: Child at the current depth, and its children.
    HierarchyParentNode:
      required:
        - id
        - name
        - parents
        - tag
        - type
      type: object
      properties:
        definition:
          $ref: '#/components/schemas/JsonNode'
        description:
          type: string
        groups:
          type: array
          description: >-
            List of groups for this node. Only included if
            includeHierarchyFields contains groups
          items:
            type: string
            description: >-
              List of groups for this node. Only included if
              includeHierarchyFields contains groups
        id:
          type: string
        name:
          type: string
        parents:
          $ref: '#/components/schemas/HierarchyParentNode'
        tag:
          type: string
        type:
          type: string
      description: Parent at the current depth, and its parents.
    Role:
      required:
        - name
      type: object
      properties:
        name:
          type: string
          description: Name of the role
          example: Team Leader
        source:
          type: string
          description: >-
            Source of the role if pulled in through integration. This will be
            blank if manually defined in Cortex.
          example: WORKDAY
    TeamMemberSource:
      required:
        - type
      type: object
      properties:
        externalGroupId:
          type: string
        externalId:
          type: string
        provider:
          type: string
          enum:
            - ACTIVE_DIRECTORY
            - BAMBOO_HR
            - GITHUB
            - GITLAB
            - GOOGLE
            - OKTA
            - OPSGENIE
            - WORKDAY
            - SERVICE_NOW
        type:
          type: string
          enum:
            - ENTITY_DEFINED
            - IDP_GROUP
    JsonNode:
      type: object
    IndividualOwnerDetails:
      required:
        - email
      type: object
      properties:
        description:
          type: string
          description: Description of the email owner
          example: Product manager
        email:
          type: string
    TeamDetails:
      required:
        - id
        - isArchived
        - name
        - tag
      type: object
      properties:
        description:
          type: string
          description: Description of the team entity
          example: This is my team
        id:
          type: string
          description: >-
            Unique, immutable, 18-character auto-generated identifier for the
            team entity
          example: en2da8159dbeefb974
        inheritance:
          type: string
          description: Inheritance type, only defined for domain entities
          enum:
            - APPEND
            - FALLBACK
            - NONE
        isArchived:
          type: boolean
        name:
          type: string
          description: Human-readable name for the team entity
          example: My Favorite Team
        provider:
          type: string
          description: >-
            If defined, indicates the ownership provider the team slug
            references
          enum:
            - ACTIVE_DIRECTORY
            - BAMBOO_HR
            - CORTEX
            - GITHUB
            - GITLAB
            - GOOGLE
            - OKTA
            - OPSGENIE
            - WORKDAY
            - SERVICE_NOW
        tag:
          type: string
          description: >-
            Unique identifier for the team entity. Corresponds to the
            x-cortex-tag field in the entity descriptor
          example: my-favorite-team-entity
  responses:
    TooManyRequests:
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/TooManyRequestsProblemDetail'
      description: >-
        The client has exceeded the rate limit by performing too many requests
        in a short period. Retry the request after a delay.
      headers:
        Retry-After:
          description: The number of seconds until the rate limiting resets.
          schema:
            minimum: 0
            type: integer
            format: int32
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: >-
        All requests to the Cortex API need to provide an `Authorization: Bearer
        <token>` header, where `<token>` is an API key created in the Settings
        page of your workspace.
      scheme: bearer
      type: http

````

## Related topics

- [List entity types](/api/rest/entity-types/list-entity-types.md)
- [List entity descriptors](/api/rest/catalog-entities/list-entity-descriptors.md)
- [List entity relationships for a relationship type](/api/rest/entity-relationships/list-entity-relationships-for-a-relationship-type.md)
